Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2138246 - Include the final Python 3.11.0 release in Fedora 37 Final
Summary: Include the final Python 3.11.0 release in Fedora 37 Final
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python3.11
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact:
URL:
Whiteboard: AcceptedFreezeException
Depends On:
Blocks: F37FinalFreezeException
TreeView+ depends on / blocked
 
Reported: 2022-10-27 18:23 UTC by Miro Hrončok
Modified: 2022-11-02 19:53 UTC (History)
8 users (show)

Fixed In Version: python3.11-3.11.0-1.fc37
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-11-02 19:53:18 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Miro Hrončok 2022-10-27 18:23:40 UTC
Considering we are slipping the release anyway, this is a Bugzilla to include the final Python 3.11.0 release in Fedora 37 Final.

The main reason for this is perception, I would like to avoid shipping a release candidate so late after the final was released.

Ultimately, I abstain from any voting for this. It's a possibility. If the QA folks say they prefer it as a 0day update, fine.

From https://mail.python.org/archives/list/python-dev@python.org/message/SB5PWB32JQHE7QFIULXIZIGUFPKSYEKP/

The commits added on top of 3.11.0rc2:

* All documentation commits that **do not touch** any source code (120+ commits).
* The following bugfixes:

    + 6b999982cb8 gh-95027: Fix regrtest stdout encoding on Windows (GH-98492)
    + 970c10aa6d0 gh-97616: list_resize() checks for integer overflow (GH-97617)
    + 67f5d24e44c gh-96848: Fix -X int_max_str_digits option parsing (GH-96988)
    + 9e008fe3519 gh-96821: Fix undefined behaviour in `_testcapimodule.c` (GH-96915) (GH-96927)
    + bac61bc5b13 gh-95778: Mention sys.set_int_max_str_digits() in error message (GH-96874)
    + 9cb7324e8fc [3.11] gh-96587: Raise `SyntaxError` for PEP654 on older `feature_version` (GH-96588) (#96591)
    + 84fd4a54a61 [3.11] gh-97897: Prevent os.mkfifo and os.mknod segfaults with macOS 13 SDK (GH-97944) (#97969)
    + 1a788914ca6 gh-96865: [Enum] fix Flag to use CONFORM boundary (GH-97528)
    + c95433573ac [3.11] gh-98331: Update bundled pip to 22.3 (GH-98332) (gh-98400)
    + fc127628d58 gh-98414: py.exe launcher does not use defaults for -V:company/ option (GH-98460)
    + 585c95df957 [3.11] GH-97752: Clear the previous member of newly-created generator/coroutine frames (GH-97812)
    + 4e0fda59f1f gh-98360: multiprocessing now spawns children on Windows with correct argv[0] in virtual environments (GH-98462)
    + 4c0c1e201a8 [3.11] gh-97514: Don't use Linux abstract sockets for multiprocessing (GH-98501) (GH-98502)
    + d0ab10f6f01 [3.11] GH-97002: Prevent _PyInterpreterFrames from backing more than one PyFrameObject (GH-98002)
    + 154b3cd7516 GH-96975: Skip incomplete frames in PyEval_GetFrame (GH-97018)

Comment 1 Fedora Update System 2022-10-27 18:23:58 UTC
FEDORA-2022-a9a4c48d06 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-a9a4c48d06

Comment 2 Adam Williamson 2022-10-28 21:20:07 UTC
+10 in https://pagure.io/fedora-qa/blocker-review/issue/989 , marking accepted.

Comment 3 Fedora Update System 2022-11-02 19:53:18 UTC
FEDORA-2022-a9a4c48d06 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.